[build-dependencies]
system-deps = "6"

[dependencies]
libc = "0.2"

[dependencies.glib]
package = "glib-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gobject]
package = "gobject-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gst_base]
package = "gstreamer-base-sys"
path = "../../gstreamer-base/sys"

[dependencies.gst]
package = "gstreamer-sys"
path = "../../gstreamer/sys"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v1_16 = []
v1_18 = ["v1_16"]
v1_20 = ["v1_18"]
v1_22 = ["v1_20"]
dox = []

[lib]
name = "gstreamer_audio_sys"

[package]
authors = ["Sebastian Dröge <sebastian@centricular.com>"]
build = "build.rs"
description = "FFI bindings to libgstaudio-1.0"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_audio_sys/"
homepage = "https://gstreamer.freedesktop.org"
keywords = ["ffi", "gstreamer", "gnome", "multimedia"]
license = "MIT"
name = "gstreamer-audio-sys"
readme = "README.md"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
version = "0.19.0"
edition = "2021"
rust-version = "1.60"
[package.metadata.docs.rs]
features = ["dox"]
[package.metadata.system-deps.gstreamer_audio_1_0]
name = "gstreamer-audio-1.0"
version = "1.14"

[package.metadata.system-deps.gstreamer_audio_1_0.v1_16]
version = "1.16"

[package.metadata.system-deps.gstreamer_audio_1_0.v1_18]
version = "1.18"

[package.metadata.system-deps.gstreamer_audio_1_0.v1_20]
version = "1.20"

[package.metadata.system-deps.gstreamer_audio_1_0.v1_22]
version = "1.21"
